{"openapi":"3.1.0","x-id":["api-v2"],"info":{"title":"LIPAS API V2","summary":"API for Finnish sports and recreational facility database LIPAS","description":"The LIPAS system provides comprehensive data about sports and recreational facilities in Finland. The API is organized into three main sections:\n\n**Sports Sites**\nThe core entities of LIPAS. Each sports facility is classified using a hierarchical type system, where specific facility types belong to subcategories within seven main categories. Each facility type has its own specific set of properties and a defined geometry type (Point, LineString, or Polygon) that describes its spatial representation.\n\n**Sports Site Categories**\nAccess to the hierarchical type classification system used for categorizing sports facilities.\n\n**Locations of Interest**\nAdditional non-facility entities in LIPAS, that complement the sports facility data.\n\n**More about the Data Model** [LIPAS Data Model Primer for API V2 Users](https://github.com/lipas-liikuntapaikat/lipas/blob/master/docs/api-v2-data-model-primer.md)","contact":{"name":"Support, feature requests and bug reports","url":"https://github.com/lipas-liikuntapaikat/lipas/issues","email":"lipasinfo@jyu.fi"},"license":{"name":"Creative Commons Attribution 4.0 International","identifier":"CC-BY-SA-4.0","url":"https://creativecommons.org/licenses/by-sa/4.0/"}},"paths":{"/v2/sports-site-categories":{"get":{"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.types.type"}}},"application/transit+msgpack":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.types.type"}}},"application/transit+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.types.type"}}},"application/edn":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.types.type"}}}}}},"tags":["Sports Site Categories"],"summary":"Get all sports site categories"}},"/v2/sports-site-categories/{type-code}":{"get":{"parameters":[{"in":"path","name":"type-code","required":true,"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.types.active-type-code"},"description":"Sports facility type according to LIPAS classification https://www.jyu.fi/fi/file/lipas-tyyppikoodit-2024"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.types.type"}},"application/transit+msgpack":{"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.types.type"}},"application/transit+json":{"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.types.type"}},"application/edn":{"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.types.type"}}}}},"tags":["Sports Site Categories"],"summary":"Get sports site category by type code"}},"/v2/sports-sites":{"get":{"parameters":[{"in":"query","name":"page","required":false,"schema":{"type":"integer","minimum":1,"default":1}},{"in":"query","name":"page-size","required":false,"schema":{"type":"integer","minimum":1,"maximum":100,"default":10}},{"in":"query","name":"statuses","required":false,"schema":{"$ref":"#/components/schemas/lipas.schema.common.statuses","default":["active","out-of-service-temporarily"]}},{"in":"query","name":"city-codes","required":false,"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.city-codes"},"description":"Official municipality identifier https://stat.fi/fi/luokitukset/kunta/kunta_1_20240101"},{"in":"query","name":"type-codes","required":false,"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.types.active-type-codes"},"description":"Sports facility type according to LIPAS classification https://www.jyu.fi/fi/file/lipas-tyyppikoodit-2024"},{"in":"query","name":"admins","required":false,"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admins"},"description":"Administrative entity of the sports facility."},{"in":"query","name":"owners","required":false,"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owners"}},{"in":"query","name":"activities","required":false,"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.activities.activities"},"description":"Enriched activity related content for Luontoon.fi service. Certain sports facility types may contain data about activities that can be practiced at the facility."}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"items":{"title":"SportSites","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.sports-site"}},"pagination":{"title":"Pagination","type":"object","properties":{"current-page":{"type":"integer","minimum":1},"page-size":{"type":"integer","minimum":1},"total-items":{"type":"integer","minimum":0},"total-pages":{"type":"integer","minimum":0}},"required":["current-page","page-size","total-items","total-pages"],"additionalProperties":false}},"required":["items","pagination"],"additionalProperties":false}},"application/transit+msgpack":{"schema":{"type":"object","properties":{"items":{"title":"SportSites","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.sports-site"}},"pagination":{"title":"Pagination","type":"object","properties":{"current-page":{"type":"integer","minimum":1},"page-size":{"type":"integer","minimum":1},"total-items":{"type":"integer","minimum":0},"total-pages":{"type":"integer","minimum":0}},"required":["current-page","page-size","total-items","total-pages"],"additionalProperties":false}},"required":["items","pagination"],"additionalProperties":false}},"application/transit+json":{"schema":{"type":"object","properties":{"items":{"title":"SportSites","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.sports-site"}},"pagination":{"title":"Pagination","type":"object","properties":{"current-page":{"type":"integer","minimum":1},"page-size":{"type":"integer","minimum":1},"total-items":{"type":"integer","minimum":0},"total-pages":{"type":"integer","minimum":0}},"required":["current-page","page-size","total-items","total-pages"],"additionalProperties":false}},"required":["items","pagination"],"additionalProperties":false}},"application/edn":{"schema":{"type":"object","properties":{"items":{"title":"SportSites","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.sports-site"}},"pagination":{"title":"Pagination","type":"object","properties":{"current-page":{"type":"integer","minimum":1},"page-size":{"type":"integer","minimum":1},"total-items":{"type":"integer","minimum":0},"total-pages":{"type":"integer","minimum":0}},"required":["current-page","page-size","total-items","total-pages"],"additionalProperties":false}},"required":["items","pagination"],"additionalProperties":false}}}}},"tags":["Sports Sites"],"summary":"Get a paginated list of sports sites"}},"/v2/sports-sites/{lipas-id}":{"get":{"parameters":[{"in":"path","name":"lipas-id","required":true,"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"description":"Lipas-id of the sports facility"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.sports-site"}},"application/transit+msgpack":{"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.sports-site"}},"application/transit+json":{"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.sports-site"}},"application/edn":{"schema":{"$ref":"#/components/schemas/lipas.schema.sports-sites.sports-site"}}}}},"tags":["Sports Sites"],"summary":"Get sports facility by lipas-id"}},"/v2/lois":{"get":{"parameters":[{"in":"query","name":"page","required":false,"schema":{"type":"integer","minimum":1,"default":1}},{"in":"query","name":"page-size","required":false,"schema":{"type":"integer","minimum":1,"maximum":100,"default":10}},{"in":"query","name":"statuses","required":false,"schema":{"$ref":"#/components/schemas/lipas.schema.common.statuses","default":["active","out-of-service-temporarily"]}},{"in":"query","name":"categories","required":false,"schema":{"$ref":"#/components/schemas/lipas.schema.lois.loi-categories"}},{"in":"query","name":"types","required":false,"schema":{"$ref":"#/components/schemas/lipas.schema.lois.loi-types"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"items":{"title":"LocationsOfInterest","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.lois.loi"}},"pagination":{"title":"Pagination","type":"object","properties":{"current-page":{"type":"integer","minimum":1},"page-size":{"type":"integer","minimum":1},"total-items":{"type":"integer","minimum":0},"total-pages":{"type":"integer","minimum":0}},"required":["current-page","page-size","total-items","total-pages"],"additionalProperties":false}},"required":["items","pagination"],"additionalProperties":false}},"application/transit+msgpack":{"schema":{"type":"object","properties":{"items":{"title":"LocationsOfInterest","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.lois.loi"}},"pagination":{"title":"Pagination","type":"object","properties":{"current-page":{"type":"integer","minimum":1},"page-size":{"type":"integer","minimum":1},"total-items":{"type":"integer","minimum":0},"total-pages":{"type":"integer","minimum":0}},"required":["current-page","page-size","total-items","total-pages"],"additionalProperties":false}},"required":["items","pagination"],"additionalProperties":false}},"application/transit+json":{"schema":{"type":"object","properties":{"items":{"title":"LocationsOfInterest","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.lois.loi"}},"pagination":{"title":"Pagination","type":"object","properties":{"current-page":{"type":"integer","minimum":1},"page-size":{"type":"integer","minimum":1},"total-items":{"type":"integer","minimum":0},"total-pages":{"type":"integer","minimum":0}},"required":["current-page","page-size","total-items","total-pages"],"additionalProperties":false}},"required":["items","pagination"],"additionalProperties":false}},"application/edn":{"schema":{"type":"object","properties":{"items":{"title":"LocationsOfInterest","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.lois.loi"}},"pagination":{"title":"Pagination","type":"object","properties":{"current-page":{"type":"integer","minimum":1},"page-size":{"type":"integer","minimum":1},"total-items":{"type":"integer","minimum":0},"total-pages":{"type":"integer","minimum":0}},"required":["current-page","page-size","total-items","total-pages"],"additionalProperties":false}},"required":["items","pagination"],"additionalProperties":false}}}}},"tags":["Locations of Interest"],"summary":"Get a paginated list of Locations of Interest"}},"/v2/lois/{loi-id}":{"get":{"parameters":[{"in":"path","name":"loi-id","required":true,"schema":{"$ref":"#/components/schemas/lipas.schema.lois.loi-id"},"description":"UUID v4 of the Location if Interest"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/lipas.schema.lois.loi"}},"application/transit+msgpack":{"schema":{"$ref":"#/components/schemas/lipas.schema.lois.loi"}},"application/transit+json":{"schema":{"$ref":"#/components/schemas/lipas.schema.lois.loi"}},"application/edn":{"schema":{"$ref":"#/components/schemas/lipas.schema.lois.loi"}}}}},"tags":["Locations of Interest"],"summary":"Get Location of Interest by id"}}},"components":{"schemas":{"lipas.schema.common.polygon-feature":{"description":"GeoJSON Feature with required Polygon geometry.","type":"object","properties":{"type":{"type":"string","enum":["Feature"]},"geometry":{"$ref":"#/components/schemas/lipas.schema.common.polygon-geometry"},"properties":{"type":"object","properties":{}}},"required":["type","geometry"]},"lipas.schema.common.point-feature":{"description":"GeoJSON Feature with required Point geometry.","type":"object","properties":{"type":{"type":"string","enum":["Feature"]},"geometry":{"$ref":"#/components/schemas/lipas.schema.common.point-geometry"},"properties":{"type":"object","properties":{}}},"required":["type","geometry"]},"lipas.schema.sports-sites.construction-year":{"description":"Year of construction of the sports facility","type":"integer","minimum":1800,"maximum":2036},"lipas.schema.sports-sites.activities.cycling":{"description":"Cycling is an activity associated with facility types 4412 Biking route, 4411 Cross-country biking route. Enriched activity information is collected for Luontoon.fi service.","type":"object","properties":{"status":{"description":"Active data can be transferred onward from the Lipas system. Draft status data will not be transferred onward.","type":"string","enum":["draft","active"]},"routes":{"description":"Route entity, daily leg, degree of difficulty of the leg","type":"array","items":{"type":"object","properties":{"additional-info-link":{"description":"Web link to a broader presentation of the place on an external website.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"arrival":{"description":"Information about how to get to the destination with different means of transport, e.g. parking areas and public transport.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"accessibility":{"description":"General information about the accessibility or passability of the place.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"contacts":{"description":"Enter contact information of the parties responsible for the place.","type":"array","items":{"type":"object","properties":{"organization":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"role":{"type":"array","items":{"type":"string","enum":["admin","content-creator","customer-service"]}},"email":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"www":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"phone-number":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}}}},"images":{"description":"Add photographs depicting the landscapes, nature, or conditions of activity of the place. You can add only image files, not URL links. Allowed file extensions are .jpg, .jpeg and .png. Make sure that you have a permission to add the photographs.","type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"description":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"alt-text":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"copyright":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}},"required":["url"]}},"highlights":{"description":"2 to 6 highlights depicting the distinctive features of the place and complement the overview. Enter 1 highlight at a time. Use a Capital initial.","type":"array","items":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}},"videos":{"description":"Add a URL link to a video on YouTube depicting the landscapes, nature, or conditions of activity of the place. The address must be in the form https://youtu.be/QgwKnIFnIgA?si=W91XmrPQUHw2HfRq – you can copy the address using YouTube's share function. Make sure you have a permission to add the video.","type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"description":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}},"required":["url"]}},"rules":{"description":"Instructions for guiding the activity in the region. This field can also contain information about possible restrictions regarding the activity.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"description-short":{"description":"Presentation of 1-3 sentences about the route and its specific properties.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"description-long":{"description":"A more detailed description of the different stages of the route. E.g. passability, attractions, rest areas and services. Split the stages into individual paragraphs.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"id":{"$ref":"#/components/schemas/lipas.schema.common.uuid"},"fids":{"type":"array","items":{"type":"string"}},"geometries":{"description":"GeoJSON FeatureCollection with required LineString geometries.","type":"object","properties":{"type":{"type":"string","enum":["FeatureCollection"]},"features":{"type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.line-string-feature"}}},"required":["type","features"]},"route-name":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"cycling-activities":{"type":"array","items":{"type":"string","enum":["gravel-and-bikepacking","road-cycling","bike-touring","mountain-biking","winter-cycling"]}},"cycling-difficulty":{"type":"string","enum":["1-easy","2-somewhat-challenging","3-moderately-challenging","4-challenging","5-extremely-challenging"]},"cycling-route-difficulty":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"duration":{"type":"object","properties":{"min":{"allOf":[{"type":"number"},{},{}]},"max":{"allOf":[{"type":"number"},{},{}]},"unit":{"type":"string","enum":["days","hours","minutes"]}}},"food-and-water":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"accommodation":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"good-to-know":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"route-notes":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"route-length-km":{"allOf":[{"type":"number"},{},{}]},"surface-material":{"type":"array","items":{"type":"string","enum":["gravel","natural-surface","fiberglass","brick-crush","water","concrete","textile","asphalt","ceramic","rock-dust","deinked-pulp","carpet","stone","metal","soil","woodchips","grass","synthetic","sand","artificial-turf","wood","sawdust","sand-infilled-artificial-turf","resin"]}},"unpaved-percentage":{"allOf":[{"type":"number"},{}]},"trail-percentage":{"allOf":[{"type":"number"},{}]},"cyclable-percentage":{"allOf":[{"type":"number"},{}]},"itrs-endurance":{"type":"string","enum":["1","2","3","4","5"]},"itrs-wilderness":{"type":"string","enum":["1","2","3","4"]},"itrs-technical-route":{"type":"string","enum":["1a","1b","2","3","4","5"]},"pilgrimage":{"type":"boolean"}},"required":["id"]}}}},"lipas.schema.lois.loi-types":{"type":"array","items":{"type":"string","enum":["hazard","landing-spot","rapid","open-water","boat-lane","whitewater-canoeing","passenger-ferry","dog-swimming-area","sauna","mooring-buoy","building","well","cooking-shelter","canopy","historical-building","old-defense-building","boat-ramp","septic-tank-emptying","waste-disposal-point","refueling-point","fire-pit","water-source","information-board","reservation-campsite","swimming-pier","fishing-pier","rowboat-rental","dry-toilet","accommodation-rental","bridge","stairs","changing-room","woodshed","viewing-platform","sauna-rental","chain-ferry","viewpoint","monument","guest-boat-dock","rest-area","ferry","tent-site","mooring-ring","historical-structure","wc","recycling-point","space-rental","parking-spot","boat-dock","fall-hazard","geo-object","natural-attraction","nature-reserve","other-area-with-movement-restrictions"]},"uniqueItems":true},"lipas.schema.sports-sites.circumstances.audits":{"description":"Collection of audits for the facility","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.circumstances.audit"}},"lipas.schema.common.polygon-geometry":{"description":"GeoJSON Polygon geometry. Per RFC 7946, requires linear rings (4+ positions, first = last).","type":"object","properties":{"type":{"type":"string","enum":["Polygon"]},"coordinates":{"allOf":[{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.coordinates"},"minItems":4},"minItems":1},{}]}},"required":["type","coordinates"]},"lipas.schema.common.line-string-feature":{"description":"GeoJSON Feature with required LineString geometry.","type":"object","properties":{"type":{"type":"string","enum":["Feature"]},"geometry":{"$ref":"#/components/schemas/lipas.schema.common.line-string-geometry"},"properties":{"type":"object","properties":{}}},"required":["type","geometry"]},"lipas.schema.sports-sites.location.polygon-location":{"description":"Location of the sports facility with required Polygon feature.","type":"object","properties":{"city":{"type":"object","properties":{"city-code":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.city-code"},"neighborhood":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.neighborhood"}},"required":["city-code"]},"address":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.address"},"postal-code":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.postal-code"},"postal-office":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.postal-office"},"geometries":{"type":"object","properties":{"type":{"type":"string","enum":["FeatureCollection"]},"features":{"type":"array","items":{"description":"GeoJSON Feature with required Polygon geometry.","type":"object","properties":{"type":{"type":"string","enum":["Feature"]},"geometry":{"$ref":"#/components/schemas/lipas.schema.common.polygon-geometry"},"properties":{"type":"object","properties":{}}},"required":["type","geometry"]},"minItems":1}},"required":["type","features"]}},"required":["city","address","postal-code","geometries"]},"lipas.schema.sports-sites.types.active-type-code":{"description":"Sports facility type according to LIPAS classification https://www.jyu.fi/fi/file/lipas-tyyppikoodit-2024","type":"integer","enum":[1530,1520,2320,6130,1395,6210,1370,1360,110,2360,5310,1560,2150,2210,101,7000,1110,3250,6220,4720,1330,206,4830,1180,4422,4430,204,106,2620,4610,2610,2110,3120,2330,2280,6140,2140,4220,2230,1350,4840,113,1510,5350,2225,4440,2520,4710,304,4412,4820,1170,6150,4404,4401,2350,2340,2120,109,1650,4441,5160,1550,3230,5130,5110,3240,4510,4240,2270,4210,301,111,4630,4810,1540,5320,3210,4640,1150,2310,5210,2380,103,201,1220,4411,1140,107,6110,1120,1390,5340,302,4405,6120,4407,1310,202,1190,2250,2530,112,2130,4406,3220,5330,4230,4320,3130,3110,203,4620,5360,2290,2260,1160,1210,5140,207,1130,5120,4110,4452,5370,2240,2510,1640,1380,4451,4403,5150,1630,2295,2370,1340,1610,4421,2220,1320,4402]},"lipas.schema.lois.loi-categories":{"type":"array","items":{"type":"string","enum":["water-conditions","outdoor-recreation-facilities","trail-conditions","natural-attractions-and-geo-objects","protected-areas"]},"uniqueItems":true},"lipas.schema.sports-sites.images.images":{"description":"Image links for the sports facility. Editable only by users\n                  with :site/edit-images privilege (e.g. :images-manager role).\n                  Metadata is CC BY 4.0; the image files at the URLs are not —\n                  embed/hotlink them, do not cache or redistribute.","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.image"}},"lipas.schema.sports-sites.activities.outdoor-recreation-areas":{"description":"Outdoor Recreation Areas is an activity associated with facility types 102 Leisure park, 106 Multi-use area or recreational forest with recreational services, 104 Hiking area, 103 Outdoor area, 107 Tourist services area, 112 Other nature conservation area with recreational services. Enriched activity information is collected for Luontoon.fi service.","type":"object","properties":{"additional-info-link":{"description":"Web link to a broader presentation of the place on an external website.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"arrival":{"description":"Information about how to get to the destination with different means of transport, e.g. parking areas and public transport.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"accessibility":{"description":"General information about the accessibility or passability of the place.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"contacts":{"description":"Enter contact information of the parties responsible for the place.","type":"array","items":{"type":"object","properties":{"organization":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"role":{"type":"array","items":{"type":"string","enum":["admin","content-creator","customer-service"]}},"email":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"www":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"phone-number":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}}}},"geo-park":{"description":"If the place is a Geopark, activate the slider (activated slider turns red). N.B! A Geopark is a single, unified geographical area of international geological significance.","type":"boolean"},"images":{"description":"Add photographs depicting the landscapes, nature, or conditions of activity of the place. You can add only image files, not URL links. Allowed file extensions are .jpg, .jpeg and .png. Make sure that you have a permission to add the photographs.","type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"description":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"alt-text":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"copyright":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}},"required":["url"]}},"highlights":{"description":"2 to 6 highlights depicting the distinctive features of the place and complement the overview. Enter 1 highlight at a time. Use a Capital initial.","type":"array","items":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}},"videos":{"description":"Add a URL link to a video on YouTube depicting the landscapes, nature, or conditions of activity of the place. The address must be in the form https://youtu.be/QgwKnIFnIgA?si=W91XmrPQUHw2HfRq – you can copy the address using YouTube's share function. Make sure you have a permission to add the video.","type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"description":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}},"required":["url"]}},"status":{"description":"Active data can be transferred onward from the Lipas system. Draft status data will not be transferred onward.","type":"string","enum":["draft","active"]},"rules-structured":{"description":"Instructions for guiding the activity in the region and, for example, warn against leaving the path at a sensitive place. This can also be used to inform about possible restrictions regarding movement.","type":"object","properties":{"common-rules":{"type":"array","items":{"type":"string","enum":["everymans-rights-valid","bring-garbage-bag-bins-available","overnight-stay-guest-harbour-allowed","keep-pets-leashed-poop-not-ok","bring-garbage-bag-no-bins","fire-only-at-marked-fireplaces","use-delivered-firewood-or-bring-own","bring-own-firewood","temporary-camping-allowed","overnight-stay-not-allowed","only-fire-in-designated-places","camping-forbidden","keep-pets-leashed-poop-ok","only-fire-in-designated-places-during-wildfire-warning","disposable-grills-forbidden"]}},"custom-rules":{"type":"array","items":{"type":"object","properties":{"label":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"description":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"value":{"type":"string","minLength":2}}}}},"required":["common-rules"]},"description-short":{"description":"Overview in 1 to 3 sentences describing the place and its characteristics.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"description-long":{"description":"Continuing the overview, a more detailed, extended description of the place.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}}},"lipas.schema.sports-sites.images.image-url":{"description":"URL of the image file hosted externally (e.g. city image bank). Must be https:// — plain http images are blocked as mixed content in browsers.","type":"string","pattern":"^https://[^\\s]+$"},"lipas.schema.sports-sites.email":{"description":"Email address of the sports facility.","type":"string","pattern":"^[a-zA-Z0-9åÅäÄöÖ._%+-]+@[a-zA-Z0-9åÅäÄöÖ.-]+\\.[a-zA-Z]{2,63}$"},"lipas.schema.common.number":{"allOf":[{"type":"number"},{},{}]},"lipas.schema.sports-sites.lipas-id":{"description":"Unique identifier of sports facility in LIPAS system.","type":"integer","minimum":1},"lipas.schema.lois.loi-id":{"description":"UUID v4 string","type":"string","pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$"},"lipas.schema.common.polygon-feature-collection":{"description":"GeoJSON FeatureCollection with required Polygon geometries.","type":"object","properties":{"type":{"type":"string","enum":["FeatureCollection"]},"features":{"type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.polygon-feature"}}},"required":["type","features"]},"lipas.schema.sports-sites.owners":{"description":"Owner entity of the sports facility.","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"uniqueItems":true},"lipas.schema.sports-sites.circumstances.floorball":{"description":"Enriched floorball facility information","type":"object","properties":{"storage-capacity":{"type":"string"},"roof-trusses-operation-model":{"type":"string","enum":["can-be-lowered","lift-required"]},"general-information":{"type":"string"},"corner-pieces-count":{"type":"integer"},"audience-toilets-count":{"type":"integer"},"bus-park-capacity":{"type":"integer"},"wifi-capacity-sufficient-for-streaming?":{"type":"boolean"},"first-aid-comment":{"type":"string"},"fixed-cameras?":{"type":"boolean"},"stretcher?":{"type":"boolean"},"field-level-loading-doors?":{"type":"boolean"},"car-parking-economics-model":{"type":"string","enum":["paid","free"]},"vip-area?":{"type":"boolean"},"separate-referee-locker-room?":{"type":"boolean"},"audit-date":{"type":"string"},"led-screens-or-surfaces-for-ads?":{"type":"boolean"},"saunas-count":{"type":"integer"},"camera-stands?":{"type":"boolean"},"wired-microfone-quantity":{"type":"integer"},"locker-rooms-count":{"type":"integer"},"car-parking-capacity":{"type":"integer"},"broadcast-car-park?":{"type":"boolean"},"press-conference-space?":{"type":"boolean"},"open-floor-space-length-m":{"$ref":"#/components/schemas/lipas.schema.common.number"},"wifi-available?":{"type":"boolean"},"goal-shrinking-elements-count":{"type":"integer"},"scoreboard-count":{"type":"integer"},"restaurateur-contact-info":{"type":"string"},"vip-area-comment":{"type":"string"},"cafe-or-restaurant-has-exclusive-rights-for-products?":{"type":"boolean"},"gym?":{"type":"boolean"},"ticket-sales-operator":{"type":"string"},"side-training-space?":{"type":"boolean"},"locker-room-quality-comment":{"type":"string"},"roof-trusses?":{"type":"boolean"},"detached-chair-quantity":{"type":"integer"},"conference-space-total-capacity-person":{"type":"integer"},"iff-certification-stickers-in-goals?":{"type":"boolean"},"electrical-plan-available?":{"type":"boolean"},"audio-mixer-available?":{"type":"boolean"},"iff-certified-rink?":{"type":"boolean"},"teams-using":{"type":"string"},"loading-equipment-available?":{"type":"boolean"},"doping-test-facilities?":{"type":"boolean"},"wireless-microfone-quantity":{"type":"integer"},"defibrillator?":{"type":"boolean"},"open-floor-space-width-m":{"$ref":"#/components/schemas/lipas.schema.common.number"},"cafeteria-and-restaurant-capacity-person":{"type":"integer"},"speakers-aligned-towards-stands?":{"type":"boolean"},"conference-space-quantity":{"type":"integer"},"three-phase-electric-power?":{"type":"boolean"},"roof-trusses-capacity-kg":{"type":"integer"},"open-floor-space-area-m2":{"$ref":"#/components/schemas/lipas.schema.common.number"},"detached-tables-quantity":{"type":"integer"},"available-goals-count":{"type":"integer"},"player-entrance":{"type":"string","enum":["private-entrance","audience-entrance"]},"floor-elasticity":{"type":"string","enum":["point","area","unknown"]},"audience-stand-access":{"type":"string","enum":["from-field-level","from-upper-level"]}}},"lipas.schema.sports-sites.renovation-years":{"description":"Years of major renovation of the sports facility","type":"array","items":{"type":"integer","minimum":1800,"maximum":2036}},"lipas.schema.sports-sites.activities.activities":{"description":"Enriched activity related content for Luontoon.fi service. Certain sports facility types may contain data about activities that can be practiced at the facility.","type":"array","items":{"type":"string","enum":["outdoor-recreation-areas","outdoor-recreation-facilities","outdoor-recreation-routes","cycling","paddling","fishing"]},"uniqueItems":true},"lipas.schema.sports-sites.owner":{"description":"Owner entity of the sports facility.","type":"string","enum":["foundation","city","registered-association","city-main-owner","unknown","state","other","company-ltd","municipal-consortium"]},"lipas.schema.sports-sites.fields.floorball-field":{"description":"Floorball-specific field attributes","type":"object","properties":{"type":{"description":"Must be floorball-field","const":"floorball-field"},"field-id":{"description":"Unique identifier for the field (UUID)","type":"string","minLength":36,"maxLength":36},"name":{"description":"Name of the field","type":"string","minLength":2,"maxLength":100},"length-m":{"description":"Length of the field in meters","$ref":"#/components/schemas/lipas.schema.common.number"},"width-m":{"description":"Width of the field in meters","$ref":"#/components/schemas/lipas.schema.common.number"},"surface-area-m2":{"description":"Surface area of the field in square meters","$ref":"#/components/schemas/lipas.schema.common.number"},"minimum-height-m":{"description":"Minimum height of the field in meters (indoor requirement)","$ref":"#/components/schemas/lipas.schema.common.number"},"surface-material":{"description":"Surface material of the field","type":"string","enum":["resin","wood","synthetic","carpet"]},"surface-material-product":{"description":"Brand/product name of the surface material","type":"string","minLength":2,"maxLength":100},"surface-material-color":{"description":"Color of the surface material","type":"string","minLength":2,"maxLength":100},"floor-elasticity":{"description":"Floor elasticity characteristics","type":"string","enum":["point","area","unknown"]},"lighting-corner-1-1-lux":{"description":"Lighting at corner 1/1 in lux","type":"integer","minimum":0,"maximum":10000},"lighting-corner-1-2-lux":{"description":"Lighting at corner 1/2 in lux","type":"integer","minimum":0,"maximum":10000},"lighting-corner-2-1-lux":{"description":"Lighting at corner 2/1 in lux","type":"integer","minimum":0,"maximum":10000},"lighting-corner-2-2-lux":{"description":"Lighting at corner 2/2 in lux","type":"integer","minimum":0,"maximum":10000},"lighting-goal-1-lux":{"description":"Lighting at goal 1 in lux","type":"integer","minimum":0,"maximum":10000},"lighting-goal-2-lux":{"description":"Lighting at goal 2 in lux","type":"integer","minimum":0,"maximum":10000},"lighting-center-point-lux":{"description":"Lighting at center point in lux","type":"integer","minimum":0,"maximum":10000},"lighting-average-lux":{"description":"Average lighting in lux","type":"integer","minimum":0,"maximum":10000},"safety-area-end-1-m":{"description":"Safety area at end 1 in meters","$ref":"#/components/schemas/lipas.schema.common.number"},"safety-area-end-2-m":{"description":"Safety area at end 2 in meters","$ref":"#/components/schemas/lipas.schema.common.number"},"safety-area-side-1-m":{"description":"Safety area at side 1 in meters","$ref":"#/components/schemas/lipas.schema.common.number"},"safety-area-side-2-m":{"description":"Safety area at side 2 in meters","$ref":"#/components/schemas/lipas.schema.common.number"},"rink-product":{"description":"Brand/product name of the rink","type":"string","minLength":2,"maxLength":100},"rink-color":{"description":"Color of the rink","type":"string","minLength":2,"maxLength":100},"stands-total-capacity-person":{"description":"Total capacity of stands","type":"integer","minimum":0,"maximum":100000},"seating-area-capacity-person":{"description":"Capacity of seating area","type":"integer","minimum":0,"maximum":100000},"standing-area-capacity-person":{"description":"Capacity of standing area","type":"integer","minimum":0,"maximum":100000},"accessible-seating-capacity-person":{"description":"Capacity of accessible seating","type":"integer","minimum":0,"maximum":100000},"scoreboard-visible-to-benches?":{"description":"Is scoreboard visible to benches","type":"boolean"},"scoreboard-visible-to-officials?":{"description":"Is scoreboard visible to officials","type":"boolean"},"field-accessible-without-strairs?":{"description":"Is field accessible without stairs","type":"boolean"},"audience-stand-access":{"description":"How audience accesses the stands","type":"string","enum":["from-field-level","from-upper-level"]}},"required":["type","field-id"]},"lipas.schema.sports-sites.renovation-description":{"description":"Multilingual description of the renovation","type":"object","properties":{"fi":{"type":"string","minLength":1,"maxLength":2000},"se":{"type":"string","minLength":1,"maxLength":2000},"en":{"type":"string","minLength":1,"maxLength":2000}}},"lipas.schema.sports-sites.circumstances.locker-rooms":{"description":"Collection of locker rooms in the facility","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.circumstances.locker-room"}},"lipas.schema.sports-sites.location.line-string-location":{"description":"Location of the sports facility with required LineString feature.","type":"object","properties":{"city":{"type":"object","properties":{"city-code":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.city-code"},"neighborhood":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.neighborhood"}},"required":["city-code"]},"address":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.address"},"postal-code":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.postal-code"},"postal-office":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.postal-office"},"geometries":{"type":"object","properties":{"type":{"type":"string","enum":["FeatureCollection"]},"features":{"type":"array","items":{"description":"GeoJSON Feature with required LineString geometry.","type":"object","properties":{"type":{"type":"string","enum":["Feature"]},"geometry":{"$ref":"#/components/schemas/lipas.schema.common.line-string-geometry"},"properties":{"type":"object","properties":{"name":{"type":"string"},"type-code":{"type":"integer"},"route-part-difficulty":{"type":"string"},"travel-direction":{"type":"string"},"itrs-technical":{"type":"string","enum":["1a","1b","2","3","4","5"]}}}},"required":["type","geometry"]},"minItems":1}},"required":["type","features"]}},"required":["city","address","postal-code","geometries"]},"lipas.schema.sports-sites.location.city-code":{"description":"Official municipality identifier https://stat.fi/fi/luokitukset/kunta/kunta_1_20240101","type":"integer","enum":[5,9,10,16,18,19,20,35,43,46,47,49,50,51,52,60,61,62,65,69,71,72,74,75,76,77,78,79,81,82,86,90,91,92,97,98,99,102,103,105,106,108,109,111,139,140,142,143,145,146,148,149,151,152,153,165,167,169,170,171,172,176,177,178,179,181,182,186,202,204,205,208,211,213,214,216,217,218,224,226,230,231,232,233,235,236,239,240,241,244,245,249,250,256,257,260,261,263,265,271,272,273,275,276,280,284,285,286,287,288,290,291,295,297,300,301,304,305,309,312,316,317,318,320,322,398,399,400,402,403,405,407,408,410,416,417,418,420,421,422,423,425,426,430,433,434,435,436,438,440,441,444,445,475,478,480,481,483,484,489,491,494,495,498,499,500,503,504,505,507,508,529,531,535,536,538,541,543,545,560,561,562,563,564,576,577,578,580,581,583,584,592,593,595,598,599,601,604,607,608,609,611,614,615,616,619,620,623,624,625,626,630,631,635,636,638,678,680,681,683,684,686,687,689,691,694,697,698,700,702,704,707,710,729,732,734,736,738,739,740,742,743,746,747,748,749,751,753,755,758,759,761,762,765,766,768,771,777,778,781,783,785,790,791,831,832,833,834,837,844,845,846,848,849,850,851,853,854,857,858,859,886,887,889,890,892,893,895,905,908,915,918,921,922,924,925,927,931,934,935,936,941,946,976,977,980,981,989,992]},"lipas.schema.sports-sites.types.active-type-codes":{"description":"Sports facility type according to LIPAS classification https://www.jyu.fi/fi/file/lipas-tyyppikoodit-2024","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.types.active-type-code"},"uniqueItems":true},"lipas.schema.sports-sites.activities.outdoor-recreation-facilities":{"description":"Outdoor Recreation Facilities is an activity associated with facility types 206 Cooking facilities, 304 Outdoor/ski lodge , 301 Lean-to, goahti (Lapp tent shelter) or 'kammi' earth lodge, 302 Hut, 202 Camping, 203 Boating services, 207 Info. Enriched activity information is collected for Luontoon.fi service.","type":"object","properties":{"additional-info-link":{"description":"Web link to a broader presentation of the place on an external website.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"arrival":{"description":"Information about how to get to the destination with different means of transport, e.g. parking areas and public transport. N.B! Fill in the field only if there are any special comments about arriving at the destination.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"accessibility":{"description":"General information about the accessibility or passability of the place.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"contacts":{"description":"Enter contact information of the parties responsible for the place.","type":"array","items":{"type":"object","properties":{"organization":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"role":{"type":"array","items":{"type":"string","enum":["admin","content-creator","customer-service"]}},"email":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"www":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"phone-number":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}}}},"images":{"description":"Add photographs depicting the landscapes, nature, or conditions of activity of the place. You can add only image files, not URL links. Allowed file extensions are .jpg, .jpeg and .png. Make sure that you have a permission to add the photographs.","type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"description":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"alt-text":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"copyright":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}},"required":["url"]}},"videos":{"description":"Add a URL link to a video on YouTube depicting the landscapes, nature, or conditions of activity of the place. The address must be in the form https://youtu.be/QgwKnIFnIgA?si=W91XmrPQUHw2HfRq – you can copy the address using YouTube's share function. Make sure you have a permission to add the video.","type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"description":{"type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}},"required":["url"]}},"rules":{"description":"Instructions for guiding the activity in the region. This field can also contain information about possible restrictions regarding the activity. N.B! Fill in the data only if the use of the structure requires special attention.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}},"status":{"description":"Active data can be transferred onward from the Lipas system. Draft status data will not be transferred onward.","type":"string","enum":["draft","active"]},"description-short":{"description":"Overview in 1 to 3 sentences describing the place and its characteristics.","type":"object","properties":{"fi":{"description":"Finnish translation","type":"string"},"se":{"description":"Swedish translation","type":"string"},"en":{"description":"English translation","type":"string"}}}}},"lipas.schema.common.point-geometry":{"description":"GeoJSON Point geometry","type":"object","properties":{"type":{"type":"string","enum":["Point"]},"coordinates":{"$ref":"#/components/schemas/lipas.schema.common.coordinates"}},"required":["type","coordinates"]},"lipas.schema.sports-sites.circumstances.audit":{"description":"Floorball facility audit record","type":"object","properties":{"audit-date":{"description":"Date of the audit","allOf":[{"type":"string"},{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"}]},"audit-type":{"description":"Type of the audit","type":"string","enum":["floorball-circumstances-audit"]},"audit-performed-by":{"description":"ID of the person who performed the audit","type":"string"}},"required":["audit-date","audit-type","audit-performed-by"]},"lipas.schema.sports-sites.location.address":{"description":"Street address of the sports facility.","type":"string","minLength":1,"maxLength":200},"lipas.schema.sports-sites.fields.fields":{"description":"Collection of playing fields in the facility","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.fields.field"}},"lipas.schema.sports-sites.admins":{"description":"Administrative entity of the sports facility.","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"uniqueItems":true},"lipas.schema.sports-sites.phone-number":{"description":"Phone number of the sports facility","type":"string","minLength":1,"maxLength":50},"lipas.schema.sports-sites.types.tags":{"type":"array","items":{"type":"string","minLength":2,"maxLength":100}},"lipas.schema.sports-sites.reservations-link":{"description":"Link to external booking system.","type":"string","minLength":1,"maxLength":500},"lipas.schema.sports-sites.name-localized":{"description":"The official name of the sports facility localized.","type":"object","properties":{"se":{"description":"Swedish translation of the official name of the sports facility.","type":"string","minLength":2,"maxLength":100},"en":{"description":"English translation of the official name of the sports facility.","type":"string","minLength":2,"maxLength":100}}},"lipas.schema.sports-sites.www":{"description":"Website of the sports facility.","type":"string","minLength":1,"maxLength":500},"lipas.schema.sports-sites.sports-site":{"description":"The core entity of LIPAS. Properties, geometry type and additional attributes vary based on the type of the sports facility.","oneOf":[{"title":"101 - Neighbourhood park","description":"In population centres, in or near residential areas. Intended for daily use. Used for play, recreation and walks. Plan symbol VL. E.g. a playground.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[101]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"playground?":{"description":"Is there a playground associated with the sports facility","type":"boolean"},"area-km2":{"description":"Area of the region in square kilometers","$ref":"#/components/schemas/lipas.schema.common.number"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"},"water-point":{"description":"","type":"string","enum":["year-round","seasonal"]},"toilet?":{"description":"Are there public restroom facilities available at the location","type":"boolean"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"102 - Leisure park","description":"Used daily, max. 1 km from residential areas. Intended for walks, play, recreation, jogging and cycling. There may be bicycle and pedestrian traffic across the park. May consist of park, forest, fields, meadows, bodies of water. Symbol V or VL.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[102]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"playground?":{"description":"Is there a playground associated with the sports facility","type":"boolean"},"area-km2":{"description":"Area of the region in square kilometers","$ref":"#/components/schemas/lipas.schema.common.number"},"may-be-shown-in-excursion-map-fi?":{"description":"","type":"boolean"},"school-use?":{"description":"The sports facility is used for school physical education classes","type":"boolean"},"free-use?":{"description":"","type":"boolean"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"}}},"activities":{"description":"Enriched content for Luontoon.fi service.","type":"object","properties":{"outdoor-recreation-areas":{"$ref":"#/components/schemas/lipas.schema.sports-sites.activities.outdoor-recreation-areas"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"103 - Outdoor area","description":"On the edge of population centres or zoned within population centres. 1-10 km from residential areas. Used for e.g. walks, skiing, jogging, swimming. Serves usually recreational needs within one municipality, offers versatile sports facilities. May include forest, swamp, fields, natural areas and park areas. Symbol VR.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[103]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"may-be-shown-in-excursion-map-fi?":{"description":"","type":"boolean"},"area-km2":{"description":"Area of the region in square kilometers","$ref":"#/components/schemas/lipas.schema.common.number"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"},"water-point":{"description":"","type":"string","enum":["year-round","seasonal"]}}},"activities":{"description":"Enriched content for Luontoon.fi service.","type":"object","properties":{"outdoor-recreation-areas":{"$ref":"#/components/schemas/lipas.schema.sports-sites.activities.outdoor-recreation-areas"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"104 - Hiking area","description":"Located further away from population centres, accessible by car. Complex network of paths and routes. Use concentrated during weekends and holidays. Often serves several municipalities. Symbol VR.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[104]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"may-be-shown-in-excursion-map-fi?":{"description":"","type":"boolean"},"area-km2":{"description":"Area of the region in square kilometers","$ref":"#/components/schemas/lipas.schema.common.number"},"school-use?":{"description":"The sports facility is used for school physical education classes","type":"boolean"},"free-use?":{"description":"","type":"boolean"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"}}},"activities":{"description":"Enriched content for Luontoon.fi service.","type":"object","properties":{"outdoor-recreation-areas":{"$ref":"#/components/schemas/lipas.schema.sports-sites.activities.outdoor-recreation-areas"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"106 - Multi-use area or recreational forest with recreational services","description":"Multi-use areas can be designated as agricultural and forestry areas used for outdoor activities under everyman's rights. Multi-use areas are particularly undeveloped shores and agricultural and forestry areas near urban areas. Plan designation MU. In the forestry of recreational forests, landscape values, among other things, have been considered, and they have been established by a decision of Metsähallitus. For recreational forests, the Lipas data is based on information from Metsähallitus.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[106]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"area-km2":{"description":"Area of the region in square kilometers","$ref":"#/components/schemas/lipas.schema.common.number"},"may-be-shown-in-excursion-map-fi?":{"description":"","type":"boolean"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"}}},"activities":{"description":"Enriched content for Luontoon.fi service.","type":"object","properties":{"outdoor-recreation-areas":{"$ref":"#/components/schemas/lipas.schema.sports-sites.activities.outdoor-recreation-areas"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"107 - Tourist services area","description":"Area reserved for tourism and holiday centres, holiday villages, hotels, etc., also including internal traffic routes and areas; services and recreational areas needed for operations, as well as technical maintenance areas. Symbol RM.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[107]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"area-km2":{"description":"Area of the region in square kilometers","$ref":"#/components/schemas/lipas.schema.common.number"},"free-use?":{"description":"","type":"boolean"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"},"toilet?":{"description":"Are there public restroom facilities available at the location","type":"boolean"}}},"activities":{"description":"Enriched content for Luontoon.fi service.","type":"object","properties":{"outdoor-recreation-areas":{"$ref":"#/components/schemas/lipas.schema.sports-sites.activities.outdoor-recreation-areas"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"108 - Recreational forest","description":"Recreational forest designated by Metsähallitus. E.g. scenic value is considered in forestry. Source of information  Metsähallitus.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[108]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"area-km2":{"description":"Area of the region in square kilometers","$ref":"#/components/schemas/lipas.schema.common.number"},"school-use?":{"description":"The sports facility is used for school physical education classes","type":"boolean"},"free-use?":{"description":"","type":"boolean"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"109 - National hiking area","description":"Established based on the Outdoor Recreation Act for hiking and recreational use of nature. Source of information  Metsähallitus.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[109]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"area-km2":{"description":"Area of the region in square kilometers","$ref":"#/components/schemas/lipas.schema.common.number"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"110 - Wilderness area","description":"Areas located in northernmost Lapland, established based on the Wildeness Act (1991/62). Source of information  Metsähallitus.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[110]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"area-km2":{"description":"Area of the region in square kilometers","$ref":"#/components/schemas/lipas.schema.common.number"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"111 - National park","description":"Nature conservation areas whose establishment and purpose are based on legislation. Min. area 1,000 ha. Source of information  Metsähallitus.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[111]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"area-km2":{"description":"Area of the region in square kilometers","$ref":"#/components/schemas/lipas.schema.common.number"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"112 - Other nature conservation area with recreational services","description":"Nature conservation areas other than national parks and natural parks. Only nature conservation areas with opportunities for recreation. E.g. protection areas established on municipal and private land. Symbol S, SL.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[112]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"may-be-shown-in-excursion-map-fi?":{"description":"","type":"boolean"},"area-km2":{"description":"Area of the region in square kilometers","$ref":"#/components/schemas/lipas.schema.common.number"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"}}},"activities":{"description":"Enriched content for Luontoon.fi service.","type":"object","properties":{"outdoor-recreation-areas":{"$ref":"#/components/schemas/lipas.schema.sports-sites.activities.outdoor-recreation-areas"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"113 - Fishing area/spot ","description":"Natural aquatic destination equipped and maintained for recreational fishing.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[113]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.polygon-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"free-use?":{"description":"","type":"boolean"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"},"pier?":{"description":"","type":"boolean"},"customer-service-point?":{"description":"There is a permanent sales or customer service point at the sports facility, where customer service is available. The sales or customer service point may have limited opening hours within the usage hours of the sports facility.","type":"boolean"},"equipment-rental?":{"description":"Equipment rental available","type":"boolean"}}},"activities":{"description":"Enriched content for Luontoon.fi service.","type":"object","properties":{"fishing":{"$ref":"#/components/schemas/lipas.schema.sports-sites.activities.fishing"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"201 - Fishing area/spot ","description":"Natural aquatic destination equipped and maintained for recreational fishing.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[201]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.point-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"toilet?":{"description":"Are there public restroom facilities available at the location","type":"boolean"},"free-use?":{"description":"","type":"boolean"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"},"pier?":{"description":"","type":"boolean"},"customer-service-point?":{"description":"There is a permanent sales or customer service point at the sports facility, where customer service is available. The sales or customer service point may have limited opening hours within the usage hours of the sports facility.","type":"boolean"},"equipment-rental?":{"description":"Equipment rental available","type":"boolean"}}},"activities":{"description":"Enriched content for Luontoon.fi service.","type":"object","properties":{"fishing":{"$ref":"#/components/schemas/lipas.schema.sports-sites.activities.fishing"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"202 - Camping","description":"Camping site for tents or other encampment. ","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[202]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.point-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"toilet?":{"description":"Are there public restroom facilities available at the location","type":"boolean"},"may-be-shown-in-excursion-map-fi?":{"description":"","type":"boolean"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"},"water-point":{"description":"","type":"string","enum":["year-round","seasonal"]},"free-use?":{"description":"","type":"boolean"}}},"activities":{"description":"Enriched content for Luontoon.fi service.","type":"object","properties":{"outdoor-recreation-facilities":{"$ref":"#/components/schemas/lipas.schema.sports-sites.activities.outdoor-recreation-facilities"}}}},"required":["lipas-id","event-date","status","name","owner","admin","type","location"]},{"title":"203 - Boating services","description":"Facilities related to boating. Specififed in 'attributes'.","type":"object","properties":{"lipas-id":{"$ref":"#/components/schemas/lipas.schema.sports-sites.lipas-id"},"event-date":{"description":"Timestamp when this information became valid (ISO 8601, UTC time zone)","$ref":"#/components/schemas/lipas.schema.common.iso8601-timestamp"},"status":{"$ref":"#/components/schemas/lipas.schema.common.status"},"name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name"},"marketing-name":{"$ref":"#/components/schemas/lipas.schema.sports-sites.marketing-name"},"name-localized":{"$ref":"#/components/schemas/lipas.schema.sports-sites.name-localized"},"owner":{"$ref":"#/components/schemas/lipas.schema.sports-sites.owner"},"admin":{"$ref":"#/components/schemas/lipas.schema.sports-sites.admin"},"email":{"$ref":"#/components/schemas/lipas.schema.sports-sites.email"},"www":{"$ref":"#/components/schemas/lipas.schema.sports-sites.www"},"reservations-link":{"$ref":"#/components/schemas/lipas.schema.sports-sites.reservations-link"},"phone-number":{"$ref":"#/components/schemas/lipas.schema.sports-sites.phone-number"},"comment":{"$ref":"#/components/schemas/lipas.schema.sports-sites.comment"},"construction-year":{"$ref":"#/components/schemas/lipas.schema.sports-sites.construction-year"},"renovation-years":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovation-years"},"renovations":{"$ref":"#/components/schemas/lipas.schema.sports-sites.renovations"},"images":{"$ref":"#/components/schemas/lipas.schema.sports-sites.images.images"},"type":{"type":"object","properties":{"type-code":{"type":"integer","enum":[203]}},"required":["type-code"]},"location":{"$ref":"#/components/schemas/lipas.schema.sports-sites.location.point-location"},"owner-org-id":{"description":"Id of the organization that owns this site","oneOf":[{"$ref":"#/components/schemas/lipas.schema.common.uuid"},{"type":"null"}]},"edit-grants":{"description":"Org ids granted edit access by the owner","type":"array","items":{"$ref":"#/components/schemas/lipas.schema.common.uuid"}},"properties":{"type":"object","properties":{"free-use?":{"description":"","type":"boolean"},"pier?":{"description":"","type":"boolean"},"may-be-shown-in-excursion-map-fi?":{"description":"","type":"boolean"},"boat-launching-spot?":{"description":"Possibility for boat launching","type":"boolean"},"may-be-shown-in-harrastuspassi-fi?":{"description":"DEPRECATED: The Harrastuspassi.fi service has been discontinued. This field is no longer maintained, but it is retained in the data model and in the APIs for backwards compatibility.","type":"boolean"},"toilet?":{"description":"Are there public restroom facilities available at the location","type":"boolean"},"boating-service-class":{"description":"https://ava.vaylapilvi.fi/ava/Julkaisut/MKL/mkl_2008-1_venesatamien_luokitus.pdf","type":
[...]
